Guitar Rig 6.4 not available for Mac OS Catalina 10.15?

Saulo Araujo
Saulo Araujo Member Posts: 4 Newcomer

I am on Mac OS Catalina 10.15. Guitar RIg 6.4 update does not show on Native Access. I have manually downloaded the Guitar Rig 6.4 installer but it says it requires Mac OS 11.

I believe that according to https://support.native-instruments.com/hc/en-us/articles/360014900358-Compatibility-of-Native-Instruments-Products-on-macOS it should work on Mac OS Catalina 10.15.

How can I install Guitar Rig 6.4 on Mac OS Catalina 10.15?

Tagged:

Best Answer

  • Jeremy_NI
    Jeremy_NI Customer Care Posts: 8,836 mod
    Answer ✓

    @Saulo Araujo I can confirm that Guitar Rig 6.4 is not compatible with MacOs Catalina. Our knowledge base compatibility article should be updated soon.

    @LostInFoundation was on to something here. Most of recent updates are not handled by Native Access 1 anymore, you might want to switch to the latest version: https://www.native-instruments.com/en/specials/native-access-2/

    But for This Guitar Rig 6.4 update, I have checked with the latest version of Native Access and it's definitely not showing.

Answers

  • LostInFoundation
    LostInFoundation Member Posts: 4,004 Expert

    Which version of Native Access are you using?

  • Saulo Araujo
    Saulo Araujo Member Posts: 4 Newcomer

    Hi,

    It is 1.14.1 (R156)

  • LostInFoundation
    LostInFoundation Member Posts: 4,004 Expert

    Usually I suggest the opposite, but you could try installing NA 2.

    But if you say It says it requires MAC OS 11…

  • Paule
    Paule Member Posts: 1,328 Expert
    edited June 2023

    I can't reach the NI page https://www.native-instruments.com/de/catalog/

    Needs guitar Rig 6.4 also Mac OS 11?

    I have manually downloaded the Guitar Rig 6.4 installer but it says it requires Mac OS 11.

    You wrote your answer in the first post. If GR 6.4 needs OS 11 please update first your Mac. You can't install Guitar Rig 6.4 on Mac OS Catalina 10.15.

  • Saulo Araujo
    Saulo Araujo Member Posts: 4 Newcomer

    The correct link is https://support.native-instruments.com/hc/en-us/articles/360014900358-Compatibility-of-Native-Instruments-Products-on-macOS

    That page states that Guitar Rig's latest version (right now, 6.4) is compatible with Mac OS 10.15.

  • Paule
    Paule Member Posts: 1,328 Expert
    edited June 2023

    No it isn't, it's 6.0.2


    Mac OS 13 (Ventura) also not it's 6.3. Seems NI don't updates the list.


  • Saulo Araujo
    Saulo Araujo Member Posts: 4 Newcomer

    Dear Paule,

    I appreciate you trying to help me and I can see you are an active member of this community. However, so far you have only provided us wrong information. First, you talked about a link I did not post. Now you misread the page I gave the link for and you say that the last Guitar Rig supported version on Mac OS 10.15 is 6.0.2. Actually, this is the FIRST supported version, as one can easily realize reading the column header. In fact, I am on Mac OS 10.15 and I have been able to upgrade from 6, to 6.1, to 6.2, and finally, to 6.3, which is the version I have currently installed on my Mac OS 10.15 machine. Thus, I kindly ask you to better check your facts before stating them in this community.

    PS: I have opened a support ticket. When I hear from NI, I post their answer here.

  • Jeremy_NI
    Jeremy_NI Customer Care Posts: 8,836 mod
    Answer ✓

    @Saulo Araujo I can confirm that Guitar Rig 6.4 is not compatible with MacOs Catalina. Our knowledge base compatibility article should be updated soon.

    @LostInFoundation was on to something here. Most of recent updates are not handled by Native Access 1 anymore, you might want to switch to the latest version: https://www.native-instruments.com/en/specials/native-access-2/

    But for This Guitar Rig 6.4 update, I have checked with the latest version of Native Access and it's definitely not showing.

Back To Top